; ----------------------------------------------------------------------------
;-----------------------------------------------------------------------------
; AutoIt Version: 3.1.1
; Author:Andrew Calcutt 	Date:08/31/2005
; Script Function: Installs Sophos
;-----------------------------------------------------------------------------
;-----------------------------------------------------------------------------

;<--## converted bat file ##-->
;echo Installing Sophos Anti-Virus ...
RunWait('"' & @ScriptDir & '\NTInst\i386\setup.exe" -remove -ni -force')
RunWait('"' & @ScriptDir & '\NTInst\i386\setup.exe" -a -config=1')

;echo Installing Sophos Remote Update ...
RunWait('"' & @ScriptDir & '\remupd\setup.exe" -nirestart')
;<--## end converted bat file ##-->

While ProcessExists("setup.exe")
	If WinExists("SOPHOS Setup", "&Run Sophos Anti-Virus") Then
		WinClose("SOPHOS Setup", "&Run Sophos Anti-Virus")
	Else
		Sleep(200)
	EndIf
WEnd
;End Install

;Set Sophos Settings
$path = RegRead ( "HKEY_LOCAL_MACHINE\SOFTWARE\Sophos\SweepNT", "Path" )
Run($path & "\WSWEEPNT.exe")
While 1 
	If WinExists("Sophos Anti-Virus", "WARNING:") Then ControlClick("Sophos Anti-Virus", "WARNING:", "Button1");if out of date error, hit ok 
	If WinExists("Sophos Anti-Virus", "Immediate") Then
		Send("!oc") ;open config window
		While 1
			If WinExists("Sophos Anti-Virus", "WARNING:") Then ExitLoop; if out of date error - exitloop
			If WinExists("Immediate Mode Configuration", "Mode") Then
				If ControlCommand ("Immediate Mode Configuration", "Mode", "Button3", "IsChecked", "") = 0 Then ControlCommand ("Immediate Mode Configuration", "Mode", "Button3", "Check", "")
				If ControlCommand ("Immediate Mode Configuration", "Mode", "Button5", "IsChecked", "") = 0 Then ControlCommand ("Immediate Mode Configuration", "Mode", "Button5", "Check", "")
				If ControlCommand ("Immediate Mode Configuration", "Mode", "Button7", "IsChecked", "") = 0 Then ControlCommand ("Immediate Mode Configuration", "Mode", "Button7", "Check", "")
				If ControlCommand ("Immediate Mode Configuration", "Mode", "Button8", "IsChecked", "") = 1 Then ControlCommand ("Immediate Mode Configuration", "Mode", "Button8", "UnCheck", "")
				If ControlCommand ("Immediate Mode Configuration", "Mode", "Button9", "IsChecked", "") = 1 Then ControlCommand ("Immediate Mode Configuration", "Mode", "Button9", "UnCheck", "")
				Send("^{TAB}")
			EndIf
			If WinExists("Immediate Mode Configuration", "Action") Then	
				If ControlCommand("Immediate Mode Configuration", "Disin&fect boot sectors", "Button2", "IsChecked", "") = 0 Then ControlCommand("Immediate Mode Configuration", "Disin&fect boot sectors", "Button2", "Check", "")
				If ControlCommand("Immediate Mode Configuration", "Disinfect &documents", "Button3", "IsChecked", "") = 0 Then ControlCommand("Immediate Mode Configuration", "Disinfect &documents", "Button3", "Check", "")
				If ControlCommand("Immediate Mode Configuration", "Disinfect &programs", "Button4", "IsChecked", "") = 0 Then ControlCommand("Immediate Mode Configuration", "Disinfect &programs", "Button4", "Check", "")
				If WinExists("Sophos Anti-Virus", "Note that Sophos Anti-Virus will not request confirmation before disinfecting or removing infected items.") Then ControlClick("Sophos Anti-Virus", "Note that Sophos Anti-Virus will not request confirmation before disinfecting or removing infected items.", "Button1")
				If ControlCommand("Immediate Mode Configuration", "&Infected files", "Button6", "IsChecked", "") = 0 Then ControlCommand("Immediate Mode Configuration", "&Infected files", "Button6", "Check", "")
				If ControlCommand("Immediate Mode Configuration", "&Shred", "Button9", "IsChecked", "") = 0 Then ControlCommand("Immediate Mode Configuration", "&Shred", "Button9", "Check", "")
				If ControlCommand("Immediate Mode Configuration", "Request c&onfirmation", "Button14", "IsChecked", "") = 1 Then ControlCommand("Immediate Mode Configuration", "Request c&onfirmation", "Button14", "UnCheck", "")
				If WinExists("Sophos Anti-Virus", "Would you like to use disinfection as an interim solution?") Then ControlClick("Sophos Anti-Virus", "Would you like to use disinfection as an interim solution?", "Button1")
				Send("^{TAB}")
			EndIf
			If WinExists("Immediate Mode Configuration", "Report") Then	
				If ControlCommand("Immediate Mode Configuration", "&List filenames", "Button3", "IsChecked", "") = 0 Then ControlCommand("Immediate Mode Configuration", "&List filenames", "Button3", "Check", "")
				Send("{enter}")
			EndIf

			ControlClick("Sophos Anti-Virus", "", "Button3")
			$drive = ControlGetText ( "Enter item details", "Area:", "Edit1")
			If $drive = "Local hard drives" Then
				If ControlCommand("Enter item details", "&All", "Button2", "IsChecked", "") = 0 Then ControlCommand("Enter item details", "&All", "Button2", "Check", "")
				If ControlCommand("Enter item details", "&Subfolders", "Button5", "IsChecked", "") = 0 Then ControlCommand("Enter item details", "&Subfolders", "Button5", "Check", "")
				ControlClick("Enter item details", "", "Button6")
				Send("^{TAB}")
				ExitLoop
			EndIf
		WEnd
	EndIf
	If WinExists("Sophos Anti-Virus", "Scheduled") Then
		Send("!oc") ;open config window
		While 1
			If WinExists("Sophos Anti-Virus", "WARNING:") Then ExitLoop; if out of date error - exitloop
			If WinExists("Scheduled Job Configuration", "File List") Then Send("^{TAB}")
			If WinExists("Scheduled Job Configuration", "Time") Then
				If ControlCommand ("Scheduled Job Configuration", "Time", "Button1", "IsChecked", "") = 1 Then ControlCommand ("Scheduled Job Configuration", "Time", "Button1", "UnCheck", "")
				If ControlCommand ("Scheduled Job Configuration", "Time", "Button2", "IsChecked", "") = 1 Then ControlCommand ("Scheduled Job Configuration", "Time", "Button2", "UnCheck", "")
				If ControlCommand ("Scheduled Job Configuration", "Time", "Button3", "IsChecked", "") = 1 Then ControlCommand ("Scheduled Job Configuration", "Time", "Button3", "UnCheck", "")
				If ControlCommand ("Scheduled Job Configuration", "Time", "Button4", "IsChecked", "") = 1 Then ControlCommand ("Scheduled Job Configuration", "Time", "Button4", "UnCheck", "")
				If ControlCommand ("Scheduled Job Configuration", "Time", "Button5", "IsChecked", "") = 1 Then ControlCommand ("Scheduled Job Configuration", "Time", "Button5", "UnCheck", "")
				If ControlCommand ("Scheduled Job Configuration", "Time", "Button6", "IsChecked", "") = 0 Then ControlCommand ("Scheduled Job Configuration", "Time", "Button6", "Check", "")
				If ControlCommand ("Scheduled Job Configuration", "Time", "Button7", "IsChecked", "") = 1 Then ControlCommand ("Scheduled Job Configuration", "Time", "Button7", "UnCheck", "")
				Send("^{TAB}")
			EndIf
			If WinExists("Scheduled Job Configuration", "Mode") Then
				If ControlCommand ("Scheduled Job Configuration", "Mode", "Button3", "IsChecked", "") = 0 Then ControlCommand ("Scheduled Job Configuration", "Mode", "Button3", "Check", "")
				If ControlCommand ("Scheduled Job Configuration", "Mode", "Button6", "IsChecked", "") = 0 Then ControlCommand ("Scheduled Job Configuration", "Mode", "Button5", "Check", "")
				If ControlCommand ("Scheduled Job Configuration", "Mode", "Button7", "IsChecked", "") = 0 Then ControlCommand ("Scheduled Job Configuration", "Mode", "Button7", "Check", "")
				If ControlCommand ("Scheduled Job Configuration", "Mode", "Button8", "IsChecked", "") = 1 Then ControlCommand ("Scheduled Job Configuration", "Mode", "Button8", "UnCheck", "")
				If ControlCommand ("Scheduled Job Configuration", "Mode", "Button9", "IsChecked", "") = 1 Then ControlCommand ("Scheduled Job Configuration", "Mode", "Button9", "UnCheck", "")
				Send("^{TAB}")
			EndIf
			If WinExists("Scheduled Job Configuration", "Action") Then	
				If ControlCommand("Scheduled Job Configuration", "Action", "Button2", "IsChecked", "") = 0 Then ControlCommand("Scheduled Job Configuration", "Disin&fect boot sectors", "Button2", "Check", "")
				If ControlCommand("Scheduled Job Configuration", "Action", "Button3", "IsChecked", "") = 0 Then ControlCommand("Scheduled Job Configuration", "Disinfect &documents", "Button3", "Check", "")
				If ControlCommand("Scheduled Job Configuration", "Action", "Button4", "IsChecked", "") = 0 Then ControlCommand("Scheduled Job Configuration", "Disinfect &programs", "Button4", "Check", "")
				If WinExists("Sophos Anti-Virus", "Note that Sophos Anti-Virus will not request confirmation before disinfecting or removing infected items.") Then ControlClick("Sophos Anti-Virus", "Note that Sophos Anti-Virus will not request confirmation before disinfecting or removing infected items.", "Button1")
				If ControlCommand("Scheduled Job Configuration", "Action", "Button6", "IsChecked", "") = 0 Then ControlCommand("Scheduled Job Configuration", "&Infected files", "Button6", "Check", "")
				If ControlCommand("Scheduled Job Configuration", "Action", "Button9", "IsChecked", "") = 0 Then ControlCommand("Scheduled Job Configuration", "&Shred", "Button9", "Check", "")
				Send("^{TAB}")
			EndIf
			If WinExists("Scheduled Job Configuration", "Report") Then	
				If ControlCommand("Scheduled Job Configuration", "&List filenames", "Button3", "IsChecked", "") = 0 Then ControlCommand("Scheduled Job Configuration", "&List filenames", "Button3", "Check", "")
				Send("{enter}")
			EndIf
			Send("^{TAB}")
			ExitLoop
		Wend
	EndIf
	If WinExists("Sophos Anti-Virus", "IC Client") Then
		Send("!oc") ;open config window
		While 1
			If WinExists("Sophos Anti-Virus", "WARNING:") Then ExitLoop; if out of date error - exitloop
			If WinExists("InterCheck Client Configuration", "Mode") Then
				If ControlCommand ("Scheduled Job Configuration", "Mode", "Button2", "IsChecked", "") = 0 Then ControlCommand ("Scheduled Job Configuration", "Mode", "Button2", "Check", "")
				Send("^{TAB}")
			EndIf
			If WinExists("InterCheck Client Configuration", "Action") Then
				If ControlCommand("InterCheck Client Configuration", "Action", "Button2", "IsChecked", "") = 1 Then ControlCommand("InterCheck Client Configuration", "Disin&fect boot sectors", "Button2", "UnCheck", "")
				If ControlCommand("InterCheck Client Configuration", "Action", "Button3", "IsChecked", "") = 1 Then ControlCommand("InterCheck Client Configuration", "Disinfect &documents", "Button3", "UnCheck", "")
				If ControlCommand("InterCheck Client Configuration", "Action", "Button4", "IsChecked", "") = 1 Then ControlCommand("InterCheck Client Configuration", "Disinfect &programs", "Button4", "UnCheck", "")
				If ControlCommand("InterCheck Client Configuration", "Action", "Button6", "IsChecked", "") = 0 Then ControlCommand("InterCheck Client Configuration", "&Infected files", "Button6", "Check", "")
				If ControlCommand("InterCheck Client Configuration", "Action", "Button9", "IsChecked", "") = 0 Then ControlCommand("InterCheck Client Configuration", "&Shred", "Button9", "Check", "")
				Send("{enter}")
			EndIf
			ExitLoop
		WEnd
		WinClose("Sophos Anti-Virus"); exit sophos
		If WinExists("Sophos Anti-Virus", "WARNING:") = 0 Then Exit ;exit program
	EndIf
WEnd
;End Set Sophos Settings



